@font-face{
    font-family: webFont;
    src: url(font.ttf) ;
}

@font-face{
    font-family: Genshin;
    src: url(genshin.ttf) ;
}
  
@font-face{
    font-family: Hkrpg;
    src: url(hkrpg.ttf) ;
}
  
@font-face{
    font-family: ZZZ;
    src: url(zzz.ttf) ;
}
  

html{
    font-family: webFont, sans-serif;
}

.overlay{
    position: fixed;
    bottom: 0;
    right: 0;
    width: 100%;
    height: 80%;
    background-color: rgb(241 241 241 / 25%);;
    backdrop-filter: blur(5px);
    z-index: 999;
    visibility: hidden;
    opacity: 0;
    transition: opacity 0.3s, visibility 0.3s;
}

a{
    font-size:150%;
    text-decoration: none; /* 去除下划线 */
    color: inherit; /* 继承父元素的字体颜色 */
}

.topbar {
    height: 15%;
    display: flex;
    width: 100%;
    z-index: 100;
    background-color: #ffffff;
    position: fixed;
    border-radius: 50px;
    top: 3%;
    align-content: center;
    flex-wrap: wrap;
}

.sidebar-button{
    display: flex;
    height: 30%;
    margin-left: 20px;
    border-radius: 32px;
    padding: 2rem;
    transition:background-color 0.5s ease-in-out;
}

.sidebar-button:hover{
    /*transition:all 0.5s;*/
    background-color: #e4e4e4;
}

#title{
    display: flex;
    font-size:2.5rem;
    align-items: center;
    padding-left: 1rem;
}

.appbox{
    clear: both;
    padding: 15px;
    display: flex;
    top: 20%;
    left: 0;
    right: 0;
    margin-left: 30px;
    margin-right: 30px;
    align-items: center;
    border-radius: 45px;
    /*border: 0.5px solid #d1cdcdd7;*/
    border: 0.5px solid #e4e4e4;
    transition:background-color 0.5s ease;
    position: fixed;
}

.appbox:hover{
    background-color: #e4e4e4;
}

.appicon{
    height: 5%;
    width: 5%;
}

.apptitle{
    font-size: 2.1rem;
    padding-left: 20px;
    margin: 0;
}

.appdetails{
    padding-left: 80px;
    margin: 0;
    padding-top: 10px;
    font-size: 1.1rem;
}

.sidebar {
    position: fixed;
    left: -40rem;  /* 侧边栏初始位置在页面左侧之外 */
    top: 18%;
    bottom: 0;
    width: 17%;
    background: #ffffff;
    transition: left 0.3s; /* 过渡动画 */
    font-size: 1.5rem;
    justify-content: center;
    border: 1px solid #d1cdcdd7;
    border-radius: 50px;
    padding: 30px;
    overflow-y: scroll;
    z-index: 1000;
}

#sidebar-list{
    list-style-type:none ;
    padding-left: 0;
    margin-bottom: 0;
    margin-top: 0;
}

#sidebar-list li{
    padding: 1rem 0px;
    width:100%;
    display: flex;
    justify-content: center;
    border: 2px solid #e9e9e9;
    margin-bottom: 1rem;
    border-radius: 50px;
    background: whitesmoke;
    transition:background-color 0.5s ease;
}

#sidebar li:hover {
    background-color: #e4e4e4;
}

/* 列表默认隐藏 */
#fontList {
    display: block;
    background-color: #ffffff;
    min-width: 160px;
    z-index: 1;
    opacity: 0; /* 初始状态为透明 */
    transition: opacity 0.5s ease;
    border: 2px solid #e9e9e9;
    list-style-type:none ;
    padding-left: 0;
    text-align: center;
    border-radius: 50px;
    overflow: hidden;
}
  
/* 列表项 */
#fontList li {
    padding:12px 16px;
    transition:background-color 0.5s ease;
}
  
/* 鼠标悬停效果 */
#fontList li:hover {
    background-color: #e4e4e4;
}

#fontList ul {
    list-style-type: none;
    padding-left: 0; 
}
  
/* 列表需要显现时，添加类 */
#fontList.visible {
    display: block;
    opacity: 1;
}